# 5.14. CUPTI Version

Function and macro to determine the CUPTI version.

Macros

CUPTI_API_VERSION

  The API version for this implementation of CUPTI.

Functions

CUptiResult cuptiGetVersion(uint32_t *version)

  Get the CUPTI API version.

## 5.14.1. Macros

CUPTI_API_VERSION

  The API version for this implementation of CUPTI.

  The API version for this implementation of CUPTI. This define along with cuptiGetVersion can be used to dynamically detect if the version of CUPTI compiled against matches the version of the loaded CUPTI library.

  v1 : CUDAToolsSDK 4.0 v2 : CUDAToolsSDK 4.1 v3 : CUDA Toolkit 5.0 v4 : CUDA Toolkit 5.5 v5 : CUDA Toolkit 6.0 v6 : CUDA Toolkit 6.5 v7 : CUDA Toolkit 6.5(with sm_52 support) v8 : CUDA Toolkit 7.0 v9 : CUDA Toolkit 8.0 v10 : CUDA Toolkit 9.0 v11 : CUDA Toolkit 9.1 v12 : CUDA Toolkit 10.0, 10.1 and 10.2 v13 : CUDA Toolkit 11.0 v14 : CUDA Toolkit 11.1 v15 : CUDA Toolkit 11.2, 11.3 and 11.4 v16 : CUDA Toolkit 11.5 v17 : CUDA Toolkit 11.6 v18 : CUDA Toolkit 11.8 v19 : CUDA Toolkit 12.0 v20 : CUDA Toolkit 12.2 v21 : CUDA Toolkit 12.3 v22 : CUDA Toolkit 12.4 v23 : CUDA Toolkit 12.5 v24 : CUDA Toolkit 12.6 v26 : CUDA Toolkit 12.8 v27 : CUDA Toolkit 12.9

## 5.14.2. Functions

CUptiResult cuptiGetVersion(uint32_t *version)

  Get the CUPTI API version.

  Return the API version in `*version`.

  See also

  CUPTI_API_VERSION

  Parameters

    version – Returns the version

  Return values

    - CUPTI_SUCCESS – on success

    - CUPTI_ERROR_INVALID_PARAMETER – if `version` is NULL